GET
/
v1
/
teams
/
{teamId}
/
content
/
artifact-runs
/
{runId}
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.slideshows.getContentArtifactRun({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  runId: process.env.OCTOSPARK_RUN_ID ?? "runId",
})
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contentItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "targetSlideId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "baseRevision": 123,
  "resultRevision": 123,
  "workflowId": "<string>",
  "renderJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "outputAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "errorCode": "<string>",
  "diagnostics": "<string>",
  "pauseReason": "<string>",
  "maxSpendDecimillicents": 123,
  "spentDecimillicents": 123,
  "activeDurationMs": 123,
  "links": {
    "self": "<string>",
    "events": "<string>",
    "slideshow": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

runId
string<uuid>
required

Artifact run id (UUID), as returned by slideshow generation or slide regeneration.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

SlideshowArtifactRunResponse

id
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
contentItemId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
kind
enum<string>
required
Available options:
generation,
slide_regeneration,
edit
status
string
required
targetSlideId
string<uuid> | null
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
regenerationScope
enum<string> | null
required
Available options:
text,
image,
layout,
style,
all
baseRevision
integer
required

an integer

resultRevision
integer | null
required

an integer

workflowId
string
required
renderJobId
string<uuid> | null
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
outputAssetId
string<uuid> | null
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
errorCode
string | null
required
diagnostics
string | null
required
pauseReason
string | null
required
maxSpendDecimillicents
number | null
required
spentDecimillicents
number
required
activeDurationMs
number
required